<?php

namespace common\models;

use Yii;

/**
 * This is the model class for table "{{%TMP_DELETE_USER}}".
 *
 * @property string $ID
 * @property string $USER_ID 会员ID
 * @property string $USER_NAME 编号
 * @property string $REAL_NAME 名称
 *
 */
class TmpDeleteUser extends \common\components\ActiveRecord
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return '{{%TMP_DELETE_USER}}';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['USER_ID', 'USER_NAME', 'REAL_NAME'], 'required'],
            [['ID','USER_ID'], 'string', 'max' => 32],
            [['USER_NAME'], 'string', 'max' => 16],
            [['REAL_NAME'], 'string', 'max' => 128],
            [['ID'], 'unique'],
        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'ID' => 'ID',
            'USER_ID' => 'ID',
            'USER_NAME' => '编号',
            'REAL_NAME' => '名称',
        ];
    }
}
